Skip to main content
GET
/
v1
/
whatsapp
/
status
Get WhatsApp connection status
curl --request GET \
  --url https://api.whatsapp-use.com/v1/whatsapp/status \
  --header 'Authorization: Bearer <token>'
{
  "paired": true,
  "connected": true,
  "jid": "<string>",
  "last_connected_at": "<string>",
  "connector": "<string>",
  "connector_ready": true,
  "connector_error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-WhatsApp-Use-Connection-Id
string

Required when the API key can access multiple WhatsApp connections.

Response

WhatsApp status.

paired
boolean
connected
boolean
jid
string
last_connected_at
string
connector
string
connector_ready
boolean
connector_error
string